V1.0
get
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/svf
Retrieves a paginated list of signature and freeze information for the data elements of the given subject (or all subjects) and study/mode. Allows filtering by subject. Results are paginated.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A7D1B827194D4E49B8B67FDEEF6F36C1
Query Parameters
-
limit: integer(int32)
Minimum Value:
0Maximum number of records to display per page.Example:25 -
offset: integer(int32)
Minimum Value:
0An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:0 -
order: string
asc or descExample:
asc -
subjectId: string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C39E34A9152148E0BB831239BAA3E502
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object SignVerifyFreezeDTOv20
DTO representing signature and freeze information for a data element in a study.
Nested Schema : SignVerifyFreezeDTOv20
Type:
objectDTO representing signature and freeze information for a data element in a study.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Additional comments if providedExample:Data discrepancy observed and clarified -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
AF77C6450BE94DE293C9630142E0AFAD -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
3 -
formId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
7978B7DD0A0A4CA899C485990994300C -
freeze: string
Freeze status can be of FROZEN, UNFROZEN, NEVER_FROZENExample:
FROZEN -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) for the Sign/Verify/Freeze record in UUID formatExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
itemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
33CAF3CB1DF64DF5A353A337CBE6B50A -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
1 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
CREATED -
reason: string
Minimum Length:
0Maximum Length:255reason to make this changeExample:Other -
repeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
signed: string
Signed status can be of SIGNED, UNSIGNED, NEVER_SIGNED, PARTIAL_SIGNEDExample:
2C3F40649C654D0F995A7FDBBCEA4FAB -
softwareVersionNumber: number
Software version numberExample:
100 -
studyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
2.0.0.38 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C39E34A9152148E0BB831239BAA3E502 -
userId: string
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
2C3F40649C654D0F995A7FDBBCEA4FAB -
verify: string
Verify status can be UNVERIFIED, VERIFIED, NEVER_VERIFIED, VERIFY_REQUIREDExample:
VERIFIED -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
2023-01-02T17:30:00Z -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2023-01-01T09:00:00Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object